Skip to content

/api/v1/players/{id}/games

GET
/api/v1/players/{id}/games
curl --request GET \
--url https://nbaproplab.com/api/v1/players/1/games \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <X-API-Key>'
id
required
integer format: int32
/^-?(?:0|[1-9]\d*)$/

OK

Array<object>
object
id
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
homeTeam
required
string
awayTeam
required
string
homeTeamAbbr
required
string
awayTeamAbbr
required
string
spread
required
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
total
required
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
status
required
string
gameDate
required
string format: date-time

Authentication required.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Insufficient permissions or tier.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}